.overlay-bg {
    position: fixed;
    top: 0;
    left: 0;

    width: 100vw;
    height: 100vh;

    display: flex;
    justify-content: center;
    align-items: center;
    
    background-color: #000000aa;
    
    z-index: 10;
}

.overlay-window {
    border: solid #CCCCCC 3px;                    /* IN OLD VERSION: */
    border-radius: 20px;                            /* position: fixed; */
                                                    /* top: 50vh; */
    position: relative;                             /* left: 50vw; */
    padding: 30px 4px 0 4px;                        /* transform: translate(-50%, -50%); */

    overflow: hidden;
}
.overlay-window-alt {
    display: flex;
    flex-direction: column;

    padding: 12px 4px 8px 4px;
}

.overlay-btn-close {
    position: absolute;
    top: 8px;
    right: 10px;

    width: 20px;
    height: 20px;

    cursor: pointer;
}

.overlay-title {
    color: #CCCCCC;

    text-align: center;
    font-size: 20px;
    
    display: inline;
    margin-top: 0;
    margin-bottom: 0;
}

.overlay-frame {
    height: 70vh;

    margin-bottom: 8px;
    margin-top: 12px;

    overflow-y: scroll;
}

.overlay-content {
    width: 70vw;
}
.overlay-content-min {
    min-width: 350px;
}

.overlay-section-title {
    color: #8FA1AF;                       /* alt: CCCCCC 5D737E 008383 A9014B */

    text-align: center;
    font-size: 16px;
    
    display: inline;                        /* optional: border-top: 2px solid #CCCCCC; */
    
    margin: 0 25px 1vmin 25px;              /* alt: 0 20px 1vh 20px */
    padding-top: 20px;
    padding-bottom: 20px;

    white-space: nowrap;       /* Disable line break */
    overflow: hidden;          /* Hide overflowing content */
    overflow-x: scroll;
    text-overflow: ellipsis;   /* Add suspension points (...) at the end */
}

.overlay-table {
    width: 70vw;
    /* height: 70vh; */                         /* alt: 60vh 100% */

    /* TODO Fix values & complete */
    color: #CCCCCC;

    /* font-size: 1.8vw; */
}

.overlay-table-col-text {
    flex-grow: 1;
    max-width: calc(70vw - 50px);
    /* MAX-WIDTH COMPUTATION:
    .overlay-window width = 70vw - 4px (padding-left) - 4px (padding-right)         --> container size
    .checkbox width = 18px + 3px (border-l) + 3px (border-r) + 6px (margin-right)   --> x 1
    tr padding = 4px (padding-right) + 4px (padding-left)                           --> x 1
    TOTAL = 46px
    + security margin (4px) because 46px is insufficient for big screens            = 50px */

    margin-top: 4px;
    margin-bottom: 2px;

    white-space: nowrap;       /* Disable line break */
    overflow: hidden;          /* Hide overflowing content */
    text-overflow: ellipsis;   /* Add suspension points (...) at the end */
}

.overlay-content-row {
    display: flex;
    justify-content: space-around;             /* alt: space-between center */
    align-items: center;
    position: relative;         /* To comment if issue */
    
    margin: 5vh 0 1vh 0;                        /* alt: margin: 2px 0 2px 0; */
}

.overlay-btn {
    background-color: #2C3E50;
    color: #8FA1AF;                           /* alt: #CCCCCC */

    border: solid #5D737E 3px;
    border-radius: 10px;

    width: 25vmin;                              /* alt: 15vmin / 20vmin */
    min-width: 80px;                            /* alt: 60px */
    max-width: 120px;                           /* optional: aspect-ratio: 1 / 1; */

    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 18px;

    margin: 2vmin;                              /* alt: 5vw (margin-left, margin-right) */

    text-align: center;
    font-size: 16px;                            /* alt: font-size 18px */
    font-family: 'Times New Roman', Times, serif;

    cursor: pointer;
}
.overlay-btn-badge {
    margin-top: 2vmin;
}

.overlay-input {
    margin-left: 5vw;
    margin-right: 5vw;
}

.overlay-loading {
    display: none;                              /* alt: flex (displayed by default & hidden by JS) */
}

.overlay-spinner {
    /* position: fixed;
    top: 50vh;
    left: 50vw;

    transform: translate(-50%, -50%); */

    width: 10vmin;
    height: 10vmin;

    z-index: 500;
    
    animation: spinning 2.5s linear infinite;
}
@keyframes spinning {
    0%      { transform: rotate(0deg); }
    100%    { transform: rotate(360deg); }
}



/* Switch Toggle Styles */
.switch {
    width: 42px;
    height: 24px;

    display: flex;                              /* alt: inline-block */
}
.switch input {
    display: none;
}

.slider {
    flex-grow: 1;
    border-radius: 14px;                         /* alt: 34px */
    
    background-color: #CCCCCC;
    border: 3px solid #5D737E;

    display: flex;
    justify-content: center;
    align-items: center;

    cursor: pointer;

    transition: .4s;                              /* opt: -webkit-transition */
}
input:checked + .slider {
    background-color: #EEEEEE;                  /* alt: A9014B */
    border: 3px solid #A9014B;                  /* alt: 8E9FA9 */
}

.slider-btn {
    height: 14px;                   /* alt/old: 80% */
    aspect-ratio: 1/1;
    border-radius: 50%;

    background-color: #2C3E50;                  /* alt: 1A2838 2C3E50 // black */

    transform: translateX(-7px);    /* alt/old: translate(-50%, 6%) */

    transition: .4s;                              /* opt: -webkit-transition */
}
input:checked + .slider .slider-btn {
    background-color: #78002F;                  /* alt: A9014B 5D737E // 8A003A 78002F 660025 54001A 420010 */

    transform: translateX(8px);     /* alt/old: translate(60%, 6%) */
                                                  /* opt: -webkit-transform -ms-transform */
}
